base_s Struct Reference

## Data Fields

uint8 | word_bits
uint8 | total_bits
uint32 | word_mask
uint8 * | base
uint32 | insert_index
uint32 | max_vocab

## Detailed Description

Definition at line 58 of file lm_trie.h.

## Field Documentation

## base

uint8* base_s::base

Definition at line 62 of file lm_trie.h.

## insert_index

uint32 base_s::insert_index

Definition at line 63 of file lm_trie.h.

## max_vocab

uint32 base_s::max_vocab

Definition at line 64 of file lm_trie.h.

## total_bits

uint8 base_s::total_bits

Definition at line 60 of file lm_trie.h.

## word_bits

uint8 base_s::word_bits

Definition at line 59 of file lm_trie.h.

## word_mask

uint32 base_s::word_mask

Definition at line 61 of file lm_trie.h.

The documentation for this struct was generated from the following file:

- src/libsphinxbase/lm/lm_trie.h